# Uses of Class
org.eclipse.ltk.core.refactoring.TextChange

Packages that use TextChange
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.
org.eclipse.ltk.core.refactoring.participants
Application programming interface to participant in existing rename, move and delete refactorings if the refactoring provider supports participation.

## Uses of TextChange in org.eclipse.ltk.core.refactoring

Subclasses of TextChange in org.eclipse.ltk.core.refactoring
Modifier and Type
Class
Description
`class`
`DocumentChange`
A text change that operates directly on instances of `IDocument`.
`class`
`TextFileChange`
A special `TextChange` that operates on a `IFile`.
Methods in org.eclipse.ltk.core.refactoring that return TextChange
Modifier and Type
Method
Description
`TextChange`
TextEditChangeGroup.`getTextChange()`
Returns the text change this group belongs to.
Methods in org.eclipse.ltk.core.refactoring with parameters of type TextChange
Modifier and Type
Method
Description
`final void`
MultiStateTextFileChange.`addChange(TextChange change)`
Adds a new text change to this composite change.
Constructors in org.eclipse.ltk.core.refactoring with parameters of type TextChange
Modifier
Constructor
Description
``
`TextEditChangeGroup(TextChange change, TextEditGroup group)`
Creates new `TextEditChangeGroup` for the given `TextChange` and `TextEditGroup`.

## Uses of TextChange in org.eclipse.ltk.core.refactoring.participants

Methods in org.eclipse.ltk.core.refactoring.participants that return TextChange
Modifier and Type
Method
Description
`TextChange`
ProcessorBasedRefactoring.`getTextChange(Object element)`
Returns the text change for the given element or `null` if a text change doesn't exist.
`TextChange`
RefactoringParticipant.`getTextChange(Object element)`
Returns the text change for the given element or `null` if a text change doesn't exist.